Bug 1248507 - kernel: [drm:cpt_set_fifo_underrun_reporting] *ERROR* uncleared pch fifo underrun on pch transcoder A
kernel: [drm:cpt_set_fifo_underrun_reporting] *ERROR* uncleared pch fifo unde...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.7
x86_64 All
medium Severity medium
: rc
: ---
Assigned To: Rob Clark
Desktop QE
:
Depends On:
Blocks: 1172231 1272325
  Show dependency treegraph
 
Reported: 2015-07-30 08:31 EDT by Siteshwar Vashisht
Modified: 2016-05-10 18:39 EDT (History)
6 users (show)

See Also:
Fixed In Version: kernel-2.6.32-614.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-10 18:39:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1163732 None None None Never
Linux Kernel 79261 None None None Never

  None (edit)
Description Siteshwar Vashisht 2015-07-30 08:31:48 EDT
Description of problem:
Below message is logged in system logs :

Jul 22 13:41:47 oc3158325636 kernel: [drm:cpt_set_fifo_underrun_reporting] *ERROR* uncleared pch fifo underrun on pch
transcoder A
Jul 22 13:41:47 oc3158325636 kernel: [drm:cpt_serr_int_handler] *ERROR* PCH transcoder A FIFO underrun

Problem is only seen on Ivy Bridge systems :

Problem occurs on:
Lenovo T430/X230/L430
Toshiba R940

Problem does not appear on:
Lenovo T450/T440/T440p/T420
Toshiba R30


Version-Release number of selected component (if applicable):
kernel-2.6.32-573.1.1.el6.x86_64
xorg-x11-drv-intel-2.99.911-8.el6.x86_64  


How reproducible:
Always

Steps to Reproduce:
Boot the system

Additional info:

from lspci:
-----------
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)

from dmidecode:
---------------
Version: Intel(R) Core(TM) i5-3320M CPU @ 2.60GHz

from: lsmod:
------------
video                  21654  1 i915

grep drm dmesg 
Command line: ro root=/dev/mapper/vg_oc8115415048-lv_root exec-shield=1 selinux=1 rhgb quiet drm_kms_helper.poll=0 LANG=en_US.UTF-8 rd_LUKS_UUID=luks-825fea9b-2fff-4d37-adba-7c803d85baeb rd_NO_MD SYSFONT=latarcyrheb-sun16 rd_LVM_LV=vg_oc8115415048/lv_root  KEYBOARDTYPE=pc KEYTABLE=us rd_LVM_LV=vg_oc8115415048/lv_swap rd_NO_DM rhgb quiet
Kernel command line: ro root=/dev/mapper/vg_oc8115415048-lv_root exec-shield=1 selinux=1 rhgb quiet drm_kms_helper.poll=0 LANG=en_US.UTF-8 rd_LUKS_UUID=luks-825fea9b-2fff-4d37-adba-7c803d85baeb rd_NO_MD SYSFONT=latarcyrheb-sun16 rd_LVM_LV=vg_oc8115415048/lv_root  KEYBOARDTYPE=pc KEYTABLE=us rd_LVM_LV=vg_oc8115415048/lv_swap rd_NO_DM rhgb quiet
[drm] Initialized drm 1.1.0 20060810
[drm] Memory usable by graphics device = 2048M
[drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[drm] Driver supports precise vblank timestamp query.
[drm] Initialized i915 1.6.0 20140905 for 0000:00:02.0 on minor 0
[drm] GMBUS [i915 gmbus dpb] timed out, falling back to bit banging on pin 5
fbcon: inteldrmfb (fb0) is primary device
[drm:cpt_set_fifo_underrun_reporting] *ERROR* uncleared pch fifo underrun on pch transcoder A
[drm:cpt_serr_int_handler] *ERROR* PCH transcoder A FIFO underrun
i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
SELinux: initialized (dev drm, type drm), not configured for labeling
Comment 1 Joe Wright 2015-08-18 12:30:53 EDT
Identified on the following:

00:02.0 VGA compatible controller: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller (rev 06)
00:03.0 Audio device: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor HD Audio Controller (rev 06)

01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Venus XT [Radeon HD 8870M / R9 M270X/M370X]
01:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Cape Verde/Pitcairn HDMI Audio [Radeon HD 7700/7800 Series]


snd_hda_intel          55222  4 
snd_hda_codec         136309  4 snd_hda_codec_realtek,snd_hda_codec_generic,snd_hda_codec_hdmi,snd_hda_intel
snd_hwdep               7100  1 snd_hda_codec
snd_seq                60769  0 
snd_seq_device          7277  1 snd_seq
snd_pcm                93793  3 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec
snd_timer              22747  2 snd_seq,snd_pcm
snd                    73783  18 snd_hda_codec_realtek,snd_hda_codec_generic,snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
soundcore               7958  2 snd_hda_codec,snd
snd_page_alloc          8856  2 snd_hda_intel,snd_pcm

hci_hcd              183615  0 
i915                 1015889  5 
video                  21654  1 i915
output                  2409  1 video
radeon               1734542  0 
ttm                    89408  1 radeon
drm_kms_helper         88766  2 i915,radeon
drm                   320992  6 i915,radeon,ttm,drm_kms_helper
i2c_algo_bit            5711  2 i915,radeon
i2c_core               29132  6 i2c_i801,i915,radeon,drm_kms_helper,drm,i2c_algo_bit

Linux lbsgm48001.local 2.6.32-573.1.1.el6.x86_64 #1 SMP Tue Jul 14 02:46:51 EDT 2015 x86_64 x86_64 x86_64 GNU/Linux

previous kernel: kernel-2.6.32-504.30.3.el6.x86_64

Customer notes that it only happens when using the 504 or newer kernel


Identified on kernel.org https://bugzilla.kernel.org/show_bug.cgi?id=79261
Comment 2 Tomas Pelka 2015-10-13 07:45:24 EDT
(In reply to Joe Wright from comment #1)
> Identified on the following:
> 
> 00:02.0 VGA compatible controller: Intel Corporation 4th Gen Core Processor
> Integrated Graphics Controller (rev 06)
> 00:03.0 Audio device: Intel Corporation Xeon E3-1200 v3/4th Gen Core
> Processor HD Audio Controller (rev 06)
> 
> 01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI]
> Venus XT [Radeon HD 8870M / R9 M270X/M370X]
> 01:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Cape
> Verde/Pitcairn HDMI Audio [Radeon HD 7700/7800 Series]
> 
> 
> snd_hda_intel          55222  4 
> snd_hda_codec         136309  4
> snd_hda_codec_realtek,snd_hda_codec_generic,snd_hda_codec_hdmi,snd_hda_intel
> snd_hwdep               7100  1 snd_hda_codec
> snd_seq                60769  0 
> snd_seq_device          7277  1 snd_seq
> snd_pcm                93793  3
> snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec
> snd_timer              22747  2 snd_seq,snd_pcm
> snd                    73783  18
> snd_hda_codec_realtek,snd_hda_codec_generic,snd_hda_codec_hdmi,snd_hda_intel,
> snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
> soundcore               7958  2 snd_hda_codec,snd
> snd_page_alloc          8856  2 snd_hda_intel,snd_pcm
> 
> hci_hcd              183615  0 
> i915                 1015889  5 
> video                  21654  1 i915
> output                  2409  1 video
> radeon               1734542  0 
> ttm                    89408  1 radeon
> drm_kms_helper         88766  2 i915,radeon
> drm                   320992  6 i915,radeon,ttm,drm_kms_helper
> i2c_algo_bit            5711  2 i915,radeon
> i2c_core               29132  6
> i2c_i801,i915,radeon,drm_kms_helper,drm,i2c_algo_bit
> 
> Linux lbsgm48001.local 2.6.32-573.1.1.el6.x86_64 #1 SMP Tue Jul 14 02:46:51
> EDT 2015 x86_64 x86_64 x86_64 GNU/Linux
> 
> previous kernel: kernel-2.6.32-504.30.3.el6.x86_64
> 
> Customer notes that it only happens when using the 504 or newer kernel
> 
> 
> Identified on kernel.org https://bugzilla.kernel.org/show_bug.cgi?id=79261

Vasiliy could you please have a look if we have at least some devices to test?

I know of T440 so far.

Also [AMD/ATI] Cape Verde/Pitcairn HDMI Audio [Radeon HD 7700/7800 Series] is questionable as this device is not available anymore, right?
Comment 4 Vasiliy Sharapov 2015-10-14 13:58:33 EDT
Confirmed on a T430.
Comment 6 RHEL Product and Program Management 2015-11-01 18:53:46 EST
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 7 Aristeu Rozanski 2016-02-09 16:44:32 EST
Patch(es) available on kernel-2.6.32-614.el6
Comment 13 errata-xmlrpc 2016-05-10 18:39:40 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0855.html

Note You need to log in before you can comment on or make changes to this bug.